import { Component, OnInit } from '@angular/core';
import { PermissionService } from './../../../services/permission.service';
import { QuotaService } from './../../../services/quota.service';
import { ProfileService } from './../../../services/profile.service';

@Component({
  selector: 'app-account-info',
  templateUrl: './info.component.html',
  styleUrls: ['./info.component.scss']
})
export class InfoComponent implements OnInit {

  permissions = [];
  quotas = [];
  profileFields =  [];

  constructor(private permissionService: PermissionService, private quotaService: QuotaService, private profileService : ProfileService) { }

  ngOnInit(): void {
    this.permissionService.permissions().subscribe((data: any) => {
      this.permissions = data;
    })

    this.quotaService.quotas().subscribe((data: any) => {
      this.quotas = data;
    })

    this.profileService.getAll().subscribe((data: any) => {
      this.profileFields = data;
    })
  }

}
